Subject: Re: bug#54094: frama-c doesn't start

From: raingloom <[email-masked]>
Date: Tue, 22 Feb 2022 01:35:42 +0100

On Mon, 21 Feb 2022 22:22:14 +0100
Julien Lepiller <[email-masked]> wrote:

> guix shell ocaml ocaml-findlib frama-c
> 
> Should work :)
> 
> Ocaml is needed to define OCAMLPATH, ocaml-findlib is what frama-c is
> missing. Should we wrap the binary?
> 
> On February 21, 2022 10:13:07 PM GMT+01:00, raingloom
> <[email-masked]> wrote:
> >I was just idly messing around so I'm not super motivated to dig
> >deeper.
> >
> >```
> >guix shell frama-c -- frama-c
> >[kernel] User Error: [findlib] package 'ocamlgraph' not found
> >(required by `frama-c.kernel') [kernel] User Error: Deferred error
> >message was emitted during execution. See above messages for more
> >information. [kernel] Frama-C aborted: invalid user input. ```
> >
> >
> >  

> Should we wrap the binary?
Definitely. Binaries are supposed to just work as far as I know.